[GET] Get Export Data Transcript⚓︎
Use this request to get the exported data of a specific Transcript Task, including its general information and auditing details.
Get Export Data Transcript⚓︎
GET/api/v1.0/external/sdtask/GetExportData/Transcript/{taskid}
Path Parameters⚓︎
| Name | Type | Description |
|---|---|---|
taskid | integer | The ID that identifies the task to retrieve data on. This ID is always unique and never changes after it has been created. |
externalId | string(optional) | An optional External ID, valid for your organization and added to the Task at creation, that uniquely identifies it in your Organization. |
At least one of taskId or externalId must be specified.
What is an "External ID"?
While you integrate with our API, you may wish to keep track of your Tasks using an already existing identifier which is meaningful for your system and your business.
This is the purpose of the External ID - you can populate it with any string of text, as long as it is unique in your organization.
Example Request⚓︎
curl --location 'https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/GetExportData/Transcript/{taskId}'
--header 'Authorization: Bearer {your access token here}'
var client = new HttpClient();
var accessToken = "your access token here";
var request = new HttpRequestMessage(HttpMethod.Get, "https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/GetExportData/Transcript/{taskId}");
request.Headers.Add("Authorization", $"Bearer {accessToken}");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
import requests
url = "https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/GetExportData/Transcript/{taskId}"
access_token = "your access token here"
payload = {}
headers = {
'Authorization': f'Bearer {access_token}'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
const myHeaders = new Headers();
const accessToken = "your access token here";
myHeaders.append("Authorization", `Bearer ${accessToken}`);
const requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://cloud.smartdocumentor.net/api/v1.0/external/sdtask/GetExportData/Transcript/{taskId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));
Responses⚓︎
{
"taskId": 0,
"originalFileUrl": "string",
"workspaceId": 0,
"batchId": 0,
"taskNumber": 0,
"displayName": "string",
"description": "string",
"totalTimeInSeconds": 0,
"lastCheckoutByUserName": "string",
"lastCheckedOutBy": 0,
"lastCheckedOutUntil": "2025-12-31T15:40:15.629Z",
"lastIntegratedBy": 0,
"lastIntegratedByUserName": "string",
"lastIntegratedOn": "2025-12-31T15:40:15.629Z",
"transcript": {
"transcripts": [
{
"speakerId": "string",
"start": 0,
"end": 0,
"duration": 0,
"confidence": 0,
"displayText": "string",
"displayWords": [
{
"text": "string",
"offsetInSeconds": 0,
"durationInSeconds": 0,
"confidence": 0
}
],
"originalWords": [
{
"text": "string",
"offsetInSeconds": 0,
"durationInSeconds": 0,
"confidence": 0
}
]
}
],
"speakers": [
{
"speakerId": "string",
"speakerName": "string",
"speakerPrefix": "string",
"speakerSuffix": "string"
}
],
"annotations": [
{
"uniqueId": "string",
"content": "string",
"start": 0,
"end": 0,
"createdByUserName": "string",
"createdBy": 0,
"createdOn": "2025-12-31T15:40:15.629Z",
"modifiedByUserName": "string",
"modifiedBy": 0,
"modifiedOn": "2025-12-31T15:40:15.629Z"
}
]
},
"metadata": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
}
Response body has no content.
Info
Note
Returned when no Task was found with the specified taskId or externalId.
Response body has no content.
Info
Note
Returned when a taskId or externalId are not specified.